XAMPP 1.7.3 and Zend Optimizer 3.3.3

Problems with the Windows version of XAMPP, questions, comments, and anything related.

XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby popghost » 19. May 2010 09:09

Hello.I have installed xampp 1.7.3, now need to install Zend Optimizer 3.3.3.But now some of the problems encountered cause installation to fail.
When I choose to run Apache installation path, the system prompts:Your Apache Web Server is not installed as Windows Service.You should stop it manually.Note:You must stop Apoche manually before pressing the OK button!

Where I need to modify in order to ensure the installation successful?
popghost
 
Posts: 6
Joined: 19. May 2010 04:24

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby popghost » 19. May 2010 09:11

Add, my system is Windows 2008 R2 Enterprise Edition.
popghost
 
Posts: 6
Joined: 19. May 2010 04:24

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Wiedmann » 19. May 2010 09:35

Where I need to modify in order to ensure the installation successful?

What exactly is your problem?

Note:You must stop Apoche manually

- If Apache from XAMPP is currently running: stop it (with the Control Panel).
- If Apache from XAMPP is currently not running: nothing to do in this step.

before pressing the OK button!

- Press "OK" in the install application.

XAMPP 1.7.3 and Zend Optimizer 3.3.3

Of course: Zend Optimizer 3.3.3 is not compatible with the PHP in XAMPP.
(that's the reason it was removed from the XAMPP package. See the changelog)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby popghost » 20. May 2010 05:06

Wiedmann wrote:
Where I need to modify in order to ensure the installation successful?

What exactly is your problem?

Note:You must stop Apoche manually

- If Apache from XAMPP is currently running: stop it (with the Control Panel).
- If Apache from XAMPP is currently not running: nothing to do in this step.

before pressing the OK button!

- Press "OK" in the install application.

XAMPP 1.7.3 and Zend Optimizer 3.3.3

Of course: Zend Optimizer 3.3.3 is not compatible with the PHP in XAMPP.
(that's the reason it was removed from the XAMPP package. See the changelog)


I encountered problem is follow the prompts to complete the installation, but ZO is not operating properly.
I even manually change the path inside php.ini configuration is not OK.Is windows 2008 R2 security level is too high cause XAMPP is not compatible?
I know Zend Optimizer was removed from the XAMPP package,but i need to use it,how can i do?
Which version of the Zend Optimizer successfully installed XAMPP on?
popghost
 
Posts: 6
Joined: 19. May 2010 04:24

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Wiedmann » 20. May 2010 06:01

but i need to use it,how can i do?

Use an older XAMPP which includes Zend Optimizer.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby popghost » 20. May 2010 06:10

Wiedmann wrote:
but i need to use it,how can i do?

Use an older XAMPP which includes Zend Optimizer.

This is the only way?
popghost
 
Posts: 6
Joined: 19. May 2010 04:24

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Altrea » 20. May 2010 06:41

popghost wrote:This is the only way?


Since there is no available Version of Zend Optimizer (Zend Guard) for PHP 5.3, this is the only way.
System requirements Zend Guard
Supported PHP Versions:

* 4.2.x through 5.2.x
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby MC10 » 23. May 2010 02:36

There's a topic in this Zend forum.
MC10
 
Posts: 148
Joined: 20. February 2010 20:13

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Mario Lanz » 30. May 2010 11:52

Hi

As a part of this thread in zend forum: http://forums.zend.com/viewtopic.php?f= ... 5&start=90

there is a beta version of Zend Loader (seems to be the new zend optimizer)...

But how can I use this Beta Version?

Any Ideas?

Thanks for any help.

Best regards

Mario
User avatar
Mario Lanz
 
Posts: 104
Joined: 13. October 2004 22:47
Location: CH, Volketswil

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Mario Lanz » 30. May 2010 14:09

according to the above posted thread from zend I've added the following code to my php.ini

Code: Select all
zend_extension = "W:\xampp\Zend\loader\php-5.3.x\ZendLoader.dll"


How can I test if Zend is working?
(also posted this question to the thread there) but since I'm running xmapp - the may not able to help??

The Gallery, that needed the Zend Optimizer does not seems to work...

gallery.cuoresportivo.ch
User avatar
Mario Lanz
 
Posts: 104
Joined: 13. October 2004 22:47
Location: CH, Volketswil

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Mario Lanz » 30. May 2010 16:57

massimilianoc in Zend Forum wrote:Hello Mario,
if you are working with XAMPP most probably you are working with PHP TS, therefore the Loader dll won't be loading.

What you need to do for your Gallery to work is the following:
[list=]
[*] Install Zend Server CE for PHP 5.3 (see http://www.zend.com/en/products/server-ce/index).
[*] Configure "C:\Program Files\Zend\ZendServer\etc\php.ini" to load the Loader dll as you did before.
[*] Restart Apache.
[*] Configure Apache within "C:\Program Files\Zend\" to run your site or just the Gallery.
[/list]


Is it possible to run php instead of TS in FCGI or both?
Like that I would not have any problem...

Thanks a lot for the help
User avatar
Mario Lanz
 
Posts: 104
Joined: 13. October 2004 22:47
Location: CH, Volketswil

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Mario Lanz » 31. May 2010 20:37

I tested it on my notebook

the suggestion from Zend did not work out...

I really ned the help from the community to solve the problem

nobody any idea?

I was waiting a month for the "BETA" Version from Zend and now it looks like I have not the solution...

The gallery of my Page is one of the most important for my page (25,000 pix online)

Thanks for any help
User avatar
Mario Lanz
 
Posts: 104
Joined: 13. October 2004 22:47
Location: CH, Volketswil

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby Mario Lanz » 02. June 2010 22:13

I downgraded to Version XAMPP 1.7.1

I got a reply from Zend, that the Optimizer does not anymore exits and has been replaced by Zend Loader and this only support PHP in fcgi mode...
User avatar
Mario Lanz
 
Posts: 104
Joined: 13. October 2004 22:47
Location: CH, Volketswil

Re: XAMPP 1.7.3 and Zend Optimizer 3.3.3

Postby JonB » 02. June 2010 22:32

Zend has become its own little world, and is very focused on the 'Enterprise'. (just my opinion)

JonB and Mario probably don't fit that description. :(

I'm thinking of learning French so I can grok 'Symfony'. LOL.

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 30 guests